View Issue Details

IDProjectCategoryView StatusLast Update
0001593SymmetricDSBugpublic2014-03-02 09:49
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.17 
Target Version3.5.18Fixed in Version3.5.18 
Summary0001593: Background initial load extract can get stuck.
DescriptionThe sym_extract_request insert happens outside the transaction of inserting sym_outgoing_batches that the extract job will need to work on extracting. This means that the extract job can run before the batches have been committed to work on. The logic is such that if the batches are not ok then proceed. No batches are found at all so the logic is to ignore them and move on to the next request. The logic would work fine as is if the extract and the batch were committed in the same transaction.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master cb8c42f8

2014-02-18 21:15:01

chenson

Details Diff
0001593: Background initial load extract can get stuck.
0001593
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File

Issue History

Date Modified Username Field Change
2014-02-18 19:55 chenson New Issue
2014-02-18 19:55 chenson Status new => assigned
2014-02-18 19:55 chenson Assigned To => chenson
2014-02-18 21:15 chenson Status assigned => resolved
2014-02-18 21:15 chenson Fixed in Version => 3.6.0
2014-02-18 21:15 chenson Resolution open => fixed
2014-02-18 22:00 Changeset attached => SymmetricDS trunk r7963
2014-02-25 07:52 chenson Fixed in Version 3.6.0 => 3.5.18
2014-02-25 07:52 chenson Target Version 3.6.0 => 3.5.18
2014-02-25 08:00 Changeset attached => SymmetricDS 3.5 r7978
2014-03-02 09:49 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master cb8c42f8